/*----------------------------------------------------------------
  Program : Soooo_Sloooowly.sas
  Comments: Generate SAS data equivalent to DB2 tables.
  ----------------------------------------------------------------
            A = 517,000 rows
            B = 120,000 rows
            T1 = 20,000 rows
            T2 = 98,000 rows
SELECT *
  FROM   work.t1sas
        ,work.bsas
  WHERE  t1sas.account=bsas.account
    AND  t1sas.time=bsas.time
    AND  bsas.trans IN ('0123','4567','8901')
    AND  bsas.code_cf = 'C'
  ORDER BY
         t1sas.account
        ,t1sas.number
  ----------------------------------------------------------------
            M = 5,200,000 rows
            M' = 575,000 rows
            C = 640,000 rows
  SELECT COUNT(*)
  FROM   (SELECT *
          FROM   work.msas
          WHERE  SUBSTR(code,1,1) = 'A') AS msas1
  LEFT JOIN
         work.csas
  ON     msas1.account=csas.account
    AND  msas1.time=csas.time
  ----------------------------------------------------------------
            AX = 80,000 rows
            XC = 52,000 rows
            AX where in XC (column) = 4,300 rows
            AX inner join XC (column) = 10,595,900 rows
            AX distinct inner join XC (column) = 4,300 rows
            AX where not in XC (column) = 75,600 rows
            AX distinct left join XC (column) = 75,600 rows
  --------------------------------------------------------------*/

proc sql;
  create table t1a as
    SELECT *
      FROM   work.t1sas
            ,work.asas
      WHERE  t1sas.account=asas.account
        AND  t1sas.time=asas.time
        AND  asas.trans IN ('0123','4567','8901')
        AND  asas.code_cf = 'C'
      ORDER BY
             t1sas.account
            ,t1sas.number
  ;
quit;

proc sql;
  create table t1b as
    SELECT *
      FROM   work.t1sas
            ,work.bsas
      WHERE  t1sas.account=bsas.account
        AND  t1sas.time=bsas.time
        AND  bsas.trans IN ('0123','4567','8901')
        AND  bsas.code_cf = 'C'
      ORDER BY
             t1sas.account
            ,t1sas.number
  ;
quit;

proc sql;
  create table t2a as
    SELECT *
      FROM   work.t2sas
            ,work.asas
      WHERE  t2sas.account=asas.account
        AND  t2sas.time=asas.time
        AND  asas.trans IN ('0123','4567','8901')
        AND  asas.code_cf = 'C'
      ORDER BY
             t2sas.account
            ,t2sas.number
  ;
quit;

proc sql;
  create table t2b as
    SELECT *
      FROM   work.t2sas
            ,work.bsas
      WHERE  t2sas.account=bsas.account
        AND  t2sas.time=bsas.time
        AND  bsas.trans IN ('0123','4567','8901')
        AND  bsas.code_cf = 'C'
      ORDER BY
             t2sas.account
            ,t2sas.number
  ;
quit;

proc sql;
  create table m1 as
    SELECT *
      FROM   work.msas
    WHERE  SUBSTR(code,1,1) = 'A'
  ;
quit;

proc sql;
  create table m1_c as
    SELECT COUNT(*)
    FROM   work.m1 AS msas1
    LEFT JOIN
           work.csas
    ON     msas1.account=csas.account
      AND  msas1.time=csas.time
  ;
quit;


proc sql;
  create table m1c as
    SELECT COUNT(*)
    FROM   (SELECT *
            FROM   work.msas
            WHERE  SUBSTR(code,1,1) = 'A') AS msas1
    LEFT JOIN
           work.csas
    ON     msas1.account=csas.account
      AND  msas1.time=csas.time
  ;
quit;
