/*----------------------------------------------------------------
  Program : load_data.sas
  Comments: Load SAS data into RDMS tables.
  --------------------------------------------------------------*/

%macro _load(dbms=,prefix=,file=);
  proc export dbms=&dbms. data=&file. outfile="&prefix.&file..&dbms." replace;
  run;
%mend _load;

%macro _loadtable(dbms=,prefix=,file=);
  proc export data=&file. outtable="&file." dbms=&dbms. replace;
    database="&prefix..mdb";
  run;
%mend _loadtable;

%_load(dbms=dbf, prefix=.\data\, file=a);
%_load(dbms=dbf, prefix=.\data\, file=b);
%_load(dbms=dbf, prefix=.\data\, file=t1);
%_load(dbms=dbf, prefix=.\data\, file=t2);
%_load(dbms=dbf, prefix=.\data\, file=m);
%_load(dbms=dbf, prefix=.\data\, file=c);

/*-----------------------------------
%_loadtable(dbms=access, prefix=.\data\slowly, file=a);
%_loadtable(dbms=access, prefix=.\data\slowly, file=b);
%_loadtable(dbms=access, prefix=.\data\slowly, file=t1);
%_loadtable(dbms=access, prefix=.\data\slowly, file=t2);
%_loadtable(dbms=access, prefix=.\data\slowly, file=m);
%_loadtable(dbms=access, prefix=.\data\slowly, file=c);
--------------------------------------*/
